WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Class BlackScholesConstants

    java.lang.Object
      |
      +--webcab.lib.finance.options.exotic.BlackScholesConstants

public class BlackScholesConstants
extends Object

This enumeration class defines all constants required by the `BlackScholes` class.

Field Summary
`static BlackScholesConstants` `ARITHMETIC` This constant identifies the arithmetic averaging type.
`static BlackScholesConstants` `BARRIER` Used internally.
`static BlackScholesConstants` `CALL` This constant identifies a call option.
`static BlackScholesConstants` `CRANCK_NICHOLSON` This constant identifies the Cranck-Nicholson finite differencing algorithm
`static BlackScholesConstants` `DELTA`
`static BlackScholesConstants` `DOWN` Indicates that the barrier is below the initial variable value.
`static BlackScholesConstants` `EXPLICIT` This constant identifies the explicit finite differencing algorithm
`static BlackScholesConstants` `FULLY_IMPLICIT` This constant identifies the fully implicit finite differencing algorithm
`static BlackScholesConstants` `GAMMA`
`static BlackScholesConstants` `GEOMETRIC` This constant identifies the geometric averaging type.
`static BlackScholesConstants` `IN` Indicates that the contract pays when triggered.
`static BlackScholesConstants` `MAX`
`static BlackScholesConstants` `MIN`
`static BlackScholesConstants` `OUT` Indicates that the contract pays when not triggered.
`static BlackScholesConstants` `PARASIAN` Used internally.
`static BlackScholesConstants` `PARISIAN` Used internally.
`static BlackScholesConstants` `PRICE`
`static BlackScholesConstants` `PUT` This constant identifies a put option.
`static BlackScholesConstants` `RATE`
`static BlackScholesConstants` `RHO`
`static BlackScholesConstants` `STRIKE`
`static BlackScholesConstants` `THETA`
`static BlackScholesConstants` `UP` Indicates that the barrier is above the initial variable value.
`static BlackScholesConstants` `VEGA`

Method Summary
`int` `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CALL

    public static final BlackScholesConstants CALL

  This constant identifies a call option.

### PUT

    public static final BlackScholesConstants PUT

  This constant identifies a put option.

### STRIKE

    public static final BlackScholesConstants STRIKE

### RATE

    public static final BlackScholesConstants RATE

### ARITHMETIC

    public static final BlackScholesConstants ARITHMETIC

  This constant identifies the arithmetic averaging type.

### GEOMETRIC

    public static final BlackScholesConstants GEOMETRIC

  This constant identifies the geometric averaging type.

### MIN

    public static final BlackScholesConstants MIN

### MAX

    public static final BlackScholesConstants MAX

### EXPLICIT

    public static final BlackScholesConstants EXPLICIT

  This constant identifies the explicit finite differencing algorithm

### FULLY_IMPLICIT

    public static final BlackScholesConstants FULLY_IMPLICIT

  This constant identifies the fully implicit finite differencing algorithm

### CRANCK_NICHOLSON

    public static final BlackScholesConstants CRANCK_NICHOLSON

  This constant identifies the Cranck-Nicholson finite differencing algorithm

### BARRIER

    public static final BlackScholesConstants BARRIER

  Used internally.

### PARISIAN

    public static final BlackScholesConstants PARISIAN

  Used internally.

### PARASIAN

    public static final BlackScholesConstants PARASIAN

  Used internally.

### UP

    public static final BlackScholesConstants UP

  Indicates that the barrier is above the initial variable value.

### DOWN

    public static final BlackScholesConstants DOWN

  Indicates that the barrier is below the initial variable value.

### IN

    public static final BlackScholesConstants IN

  Indicates that the contract pays when triggered.

### OUT

    public static final BlackScholesConstants OUT

  Indicates that the contract pays when not triggered.

### PRICE

    public static final BlackScholesConstants PRICE

### DELTA

    public static final BlackScholesConstants DELTA

### GAMMA

    public static final BlackScholesConstants GAMMA

### THETA

    public static final BlackScholesConstants THETA

### VEGA

    public static final BlackScholesConstants VEGA

### RHO

    public static final BlackScholesConstants RHO

Method Detail

### value

    public int value()

WebCab Options and Futures Demo v2.5 (J2SE Edition)